LocalField (JEL API)
Date: 2015-05-14

gnu.jel

## Class LocalField

- java.lang.Object
- - gnu.jel.LocalField

- All Implemented Interfaces:
    java.lang.reflect.Member
  Direct Known Subclasses:
    LocalMethod

      public class LocalField
      extends java.lang.Object
      implements java.lang.reflect.Member

  Represents a field local to the class being compiled.

- - ### Field Summary

    - ### Fields inherited from interface java.lang.reflect.Member

      `DECLARED, PUBLIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalField(int modifiers, java.lang.Class type, java.lang.String name, java.lang.Object constValue)` Constructs a new local field.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getConstValue()` Returns a value of the public static final field.
    `java.lang.Class` | `getDeclaringClass()`
    `int` | `getModifiers()`
    `java.lang.String` | `getName()`
    `java.lang.Class` | `getType()`
    `boolean` | `isSynthetic()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalField

          public LocalField(int modifiers,
                    java.lang.Class type,
                    java.lang.String name,
                    java.lang.Object constValue)

      Constructs a new local field.
      Parameters:
        `modifiers` - field modifiers, a sum of one or more of `PUBLIC`, `PRIVATE`,`PROTECTED`, `STATIC`, `FINAL`,`VOLATILE`, `TRANSIENT` constants defined in java.lang.reflect.Modifier
        `type` - is a class representing the type of this field.
        `name` - is the name of this field.
        `constValue` - is the value of this field if it is static final, `null` otherwise.

  - ### Method Detail

    - #### getDeclaringClass

          public java.lang.Class getDeclaringClass()

      Specified by:
        `getDeclaringClass` in interface `java.lang.reflect.Member`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `java.lang.reflect.Member`

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in interface `java.lang.reflect.Member`

    - #### getType

          public java.lang.Class getType()

    - #### isSynthetic

          public boolean isSynthetic()

      Specified by:
        `isSynthetic` in interface `java.lang.reflect.Member`

    - #### getConstValue

          public java.lang.Object getConstValue()

      Returns a value of the public static final field.

      Fails assertion if called on the field which is not public static final.

      Returns:
        value of the field, object of wrapped primitive type or string.

Copyright © 1998-2015 Konstantin L. Metlov All Rights Reserved.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the JEL manual.